<template>
  <div class="joinFamily">
    <div class="login-box shadow-sm mb-5 bg-white rounded">
      <div class="p-5">
        <h5>Únete a una familia:</h5>
        <form>
            <input class="form-control form-input" v-model="code" type="text" name="code" placeholder="Escribe el código de la familia" required>
            <div class="mt-4">
           <button type="button" @click="join(code)" class="btn btn-primary btn-md w-100">UNIRSE</button>
         </div>
     </form>
 </div>
</div>   
</div>
</template>

<script>
    import { RTDB } from '../main.js';
    export default {
      name: 'joinFamily',
      data () {
        return {
          code: "",
          email:""      
      };
  },
  methods:{
    join(code){
      let cod='vacio'
      let _self=this;
        RTDB.ref('family/').on('value', function(snapshot) {
        for(let t in snapshot.val()){
            if(code==t)
            cod=t; 
        }
        console.log('join '+cod)
        if(cod!='vacio'){
            RTDB.ref('usuario/'+_self.$store.getters.getId).update({
                family:code
            });
            _self.$store.dispatch('setCodeFamily',cod)
            _self.$router.push({name:'home'})
        }else
        alert("codigo erroneo");
        });
    },    
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}
</style>
